> For the complete documentation index, see [llms.txt](https://docs.geopard.tech/geopard-tutorials/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.geopard.tech/geopard-tutorials/in/api/geopard-api-3/59.-asapplieddatasets.md).

# 59. क्वेरी: "AsAppliedDatasets" प्राप्त करें

जैसा-बोया या जैसा-लागू डेटा-सेट प्राप्त करें

चुने गए "Field" के लिए सभी "AsAppliedDatasets" प्राप्त करें। Datasets को सामान्य GraphQL क्वेरीज जैसे उपयोग करके प्राप्त किया जा सकता है `getFarms` और `getFields` से जुड़े हुए "Field" से लाया जा सकता है।&#x20;

{% hint style="warning" %}
एक "AsAppliedDataset" को पहले से अपलोड होना चाहिए।
{% endhint %}

{% code overflow="wrap" lineNumbers="true" %}

```graphql
query GetAsAppliedDatasetsViaGetFarms {
  getFarms (farmUuids: ["<placeholder_of_farm_uuid>"]) {
    uuid 
    name
    fields (fieldUuids: ["<placeholder_of_field_uuid>"]) {
      uuid
      asAppliedDatasets {
        uuid 
        name
        number #भू-विशेषताओं की कुल संख्या 
        geometryType 
        totalCoveredArea(unit: HECTARES) 
        fieldCoverage 
        fieldCoveredArea(unit: HECTARES)
  
        attributes
        
        fullAttributes { #प्रति गुण का पूरा विवरण
          name #आँकड़ों से लिंक >> attribute
          transliteratedName
          fullName #सही मानव-पठनीय नाम
          unit#माप की एकाइयाँ
        }

        usedMachines { #उपयोग किए गए मशीन
          id
          serial
          operatorId
        } 

        createdDate #GeoPard में इकाई का निर्माण तिथि-समय
        updatedDate #अंतिम अपडेट तिथि-समय
        operationId
        operationType
        operationFileDate #फ़ाइल निर्माण तिथि-समय मेटाइनफ़ॉर्मेशन से आती है 
        operationStartDate #ऑपरेशन की शुरुआत मेटाइनफ़ॉर्मेशन से आती है
        
        statistics { #हर गुण के लिए सांख्यिकी वितरण
          attribute
          min
          max
          avg
          mdn
          var
          std
          sum
        }

        geoMaps {
          url
          shortName
          hexColorCodes
          classes
        }
      }
    }
  } 
}
```

{% endcode %}

{% code overflow="wrap" lineNumbers="true" %}

```graphql
query GetAsAppliedDatasetsViaGetFields { 
  getFields (filter: {fieldUuid: "<placeholder_of_field_uuid>"}) { 
    fields { 
      uuid
      area(unit: HECTARES) 
      asAppliedDatasets(asAppliedDatasetUuids: ["placeholder_of_dataset_uuid"]) { 
        uuid 
        name
        number #भू-विशेषताओं की कुल संख्या 
        geometryType 
        totalCoveredArea(unit: HECTARES) 
        fieldCoverage 
        fieldCoveredArea(unit: HECTARES)
  
        attributes
        
        fullAttributes { #प्रति गुण का पूरा विवरण
          name #आँकड़ों से लिंक >> attribute
          transliteratedName
          fullName #सही मानव-पठनीय नाम
          unit#माप की एकाइयाँ
        }

        usedMachines { #उपयोग किए गए मशीन
          id
          serial
          operatorId
        } 

        createdDate #GeoPard में इकाई का निर्माण तिथि-समय
        updatedDate #अंतिम अपडेट तिथि-समय
        operationId
        operationType
        operationFileDate #फ़ाइल निर्माण तिथि-समय मेटाइनफ़ॉर्मेशन से आती है 
        operationStartDate #ऑपरेशन की शुरुआत मेटाइनफ़ॉर्मेशन से आती है
        
        statistics { #हर गुण के लिए सांख्यिकी वितरण
          attribute
          min
          max
          avg
          mdn
          var
          std
          sum
        }

        geoMaps {
          url
          shortName
          hexColorCodes
          classes
        }
      }
    }
  } 
}
```

{% endcode %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.geopard.tech/geopard-tutorials/in/api/geopard-api-3/59.-asapplieddatasets.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
